Subject: Ticket Assigned - Concerned
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 07 Mar 2021 02:26:53 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Concerned Good day!I hope all is well. I placed my order online and it’s deducted on my debit card already I received my confirmation transaction number said I will collect it after 2-3 days. But I received an email regarding to the item, says I need to check out again. What’s going on my order? I attached copy to your review. Thanks

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2187453